/*
 * PBMS 2008
 */

#ifndef __BOOTP_H__
#define __BOOTP_H__

#include "lwip/opt.h"
#include "lwip/pbuf.h"
#include "lwip/err.h"
#include "lwip/udp.h"
#include "lwip/netif.h"
#include "lwip/mem.h"

#define BOOTP_SERVER_PORT 67
#define BOOTP_CLIENT_PORT 68

struct bootp {
  /** The pcb that handles bootp requests */ 
  struct udp_pcb *pcb;
};

err_t bootp_init(struct netif *netif);

#endif /* __BOOTP_H__ */
